<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'liste_location';

		/* data for selected record, or defaults if none is selected */
		var data = {
			link_location: <?php echo json_encode(array('id' => $rdata['link_location'], 'value' => $rdata['link_location'], 'text' => $jdata['link_location'])); ?>,
			vehicule: <?php echo json_encode(array('id' => $rdata['vehicule'], 'value' => $rdata['vehicule'], 'text' => $jdata['vehicule'])); ?>,
			model: <?php echo json_encode(array('id' => $rdata['model'], 'value' => $rdata['model'], 'text' => $jdata['model'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for link_location */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'link_location' && d.id == data.link_location.id)
				return { results: [ data.link_location ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for vehicule */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'vehicule' && d.id == data.vehicule.id)
				return { results: [ data.vehicule ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for model */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'model' && d.id == data.model.id)
				return { results: [ data.model ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

